Get a job
GET
Get one job's status, progress and result URL (signed for 1 hour).
Works with view-only access.
header
AuthorizationBearer <token>An API key from Settings → Developers (pp_live_…), or an OAuth access token.
id*stringJob ID.
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidGet a job
application/json- response
object*stringid*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidkind*JobKindValue in
"enhancement""staging""video"status*JobStatusValue in
"pending""processing""completed""failed""cancelled"progress*|Percent complete while processing.
stage*string|nullproject_id*|nullphoto_id*|Source photo (null for multi-photo videos).
photo_ids*array<>All source photos, in order (videos can have up to 9).
source_job_id*|Prior version this edit was applied on top of.
enhancement_types*array<string>design_style*string|nullultra_hd*booleancredits*integer|nullpicked*booleanwatermarked*booleanresult*|The finished image or video, when completed.
thumbnail*|nullerror*|Why the job failed. Failed jobs are refunded automatically.
created_at*stringMatch
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Format
date-timecompleted_at*|nullcurl -X GET "https://example.com/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "object": "job", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "enhancement", "status": "pending", "progress": 0, "stage": "string", "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9", "photo_id": "50c42bd2-615e-4fec-a325-0e5c4d3d73d3", "photo_ids": [ "68e4fc1a-5272-4c7c-88ae-00ad654f19af" ], "source_job_id": "82ec7aa8-71eb-48cf-81de-c1b18e40e554", "enhancement_types": [ "string" ], "design_style": "string", "ultra_hd": true, "credits": 0, "picked": true, "watermarked": true, "result": { "url": "http://example.com", "expires_at": "2019-08-24T14:15:22Z" }, "thumbnail": { "url": "http://example.com", "expires_at": "2019-08-24T14:15:22Z" }, "error": { "code": "string", "message": "string" }, "created_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z"}